std::weakly_incrementable(3cxx)

NAME
std::weakly_incrementable - Requirements on types that can be incremented with ++.

SYNOPSIS

#include <iterator>

Concept definition

template<typename _Iter>
concept std::weakly_incrementable =  movable<_Iter>
      && requires(_Iter __i)
      {
        typename iter_difference_t<_Iter>;
        requires __detail::__is_signed_integer_like<iter_difference_t<_Iter>>;
        { ++__i } -> same_as<_Iter&>;
        __i++;
      }

Detailed Description

Requirements on types that can be incremented with ++.

Author

Generated automatically by Doxygen for libstdc++ from the source code.